net.sf.jasperreports.engine.style

## Class PropertyStyleProvider

- java.lang.Object
- - net.sf.jasperreports.engine.style.PropertyStyleProvider

- All Implemented Interfaces:
    StyleProvider

      public class PropertyStyleProvider
      extends java.lang.Object
      implements StyleProvider

  Version:
    $Id: PropertyStyleProvider.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `STYLE_PROPERTY_BACKCOLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BLANK_WHEN_NULL`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_BOTTOM_PADDING`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_BOTTOM_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_LEFT_PADDING`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_LEFT_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_LEFT_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_LEFT_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_LEFT_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PADDING`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_RIGHT_PADDING`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_RIGHT_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_TOP_PADDING`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_TOP_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_TOP_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_TOP_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_BOX_TOP_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_FILL`
    `static java.lang.String` | `STYLE_PROPERTY_FIRST_LINE_INDENT`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_BOLD`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_ITALIC`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_NAME`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_SIZE`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_STRIKETHROUGH`
    `static java.lang.String` | `STYLE_PROPERTY_FONT_UNDERLINE`
    `static java.lang.String` | `STYLE_PROPERTY_FORECOLOR`
    `static java.lang.String` | `STYLE_PROPERTY_HALIGN`
    `static java.lang.String` | `STYLE_PROPERTY_LEFT_INDENT`
    `static java.lang.String` | `STYLE_PROPERTY_LINE_SPACING`
    `static java.lang.String` | `STYLE_PROPERTY_LINE_SPACING_SIZE`
    `static java.lang.String` | `STYLE_PROPERTY_MARKUP`
    `static java.lang.String` | `STYLE_PROPERTY_MODE`
    `static java.lang.String` | `STYLE_PROPERTY_PARAGRAPH_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_PATTERN`
    `static java.lang.String` | `STYLE_PROPERTY_PDF_EMBEDDED`
    `static java.lang.String` | `STYLE_PROPERTY_PDF_ENCODING`
    `static java.lang.String` | `STYLE_PROPERTY_PDF_FONT_NAME`
    `static java.lang.String` | `STYLE_PROPERTY_PEN_LINE_COLOR`
    `static java.lang.String` | `STYLE_PROPERTY_PEN_LINE_STYLE`
    `static java.lang.String` | `STYLE_PROPERTY_PEN_LINE_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_PEN_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_PREFIX`
    `static java.lang.String` | `STYLE_PROPERTY_RADIUS`
    `static java.lang.String` | `STYLE_PROPERTY_RIGHT_INDENT`
    `static java.lang.String` | `STYLE_PROPERTY_ROTATION`
    `static java.lang.String` | `STYLE_PROPERTY_SCALE_IMAGE`
    `static java.lang.String` | `STYLE_PROPERTY_SPACING_AFTER`
    `static java.lang.String` | `STYLE_PROPERTY_SPACING_BEFORE`
    `static java.lang.String` | `STYLE_PROPERTY_TABSTOP_WIDTH`
    `static java.lang.String` | `STYLE_PROPERTY_VALIGN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyStyleProvider(StyleProviderContext context, java.util.Map<java.lang.String,JRPropertyExpression> stylePropertyExpressions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getFields()`
    `JRStyle` | `getStyle(byte evaluation)` Returns a style.
    `java.lang.String[]` | `getVariables()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STYLE_PROPERTY_PREFIX

          public static final java.lang.String STYLE_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_LEFT_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_LEFT_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_TOP_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_TOP_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_RIGHT_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_RIGHT_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_BOTTOM_PEN_PREFIX

          public static final java.lang.String STYLE_PROPERTY_BOX_BOTTOM_PEN_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PARAGRAPH_PREFIX

          public static final java.lang.String STYLE_PROPERTY_PARAGRAPH_PREFIX

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_MODE

          public static final java.lang.String STYLE_PROPERTY_MODE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BACKCOLOR

          public static final java.lang.String STYLE_PROPERTY_BACKCOLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FORECOLOR

          public static final java.lang.String STYLE_PROPERTY_FORECOLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FILL

          public static final java.lang.String STYLE_PROPERTY_FILL

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_RADIUS

          public static final java.lang.String STYLE_PROPERTY_RADIUS

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_SCALE_IMAGE

          public static final java.lang.String STYLE_PROPERTY_SCALE_IMAGE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_HALIGN

          public static final java.lang.String STYLE_PROPERTY_HALIGN

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_VALIGN

          public static final java.lang.String STYLE_PROPERTY_VALIGN

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_ROTATION

          public static final java.lang.String STYLE_PROPERTY_ROTATION

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_MARKUP

          public static final java.lang.String STYLE_PROPERTY_MARKUP

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PATTERN

          public static final java.lang.String STYLE_PROPERTY_PATTERN

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BLANK_WHEN_NULL

          public static final java.lang.String STYLE_PROPERTY_BLANK_WHEN_NULL

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_NAME

          public static final java.lang.String STYLE_PROPERTY_FONT_NAME

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_SIZE

          public static final java.lang.String STYLE_PROPERTY_FONT_SIZE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_BOLD

          public static final java.lang.String STYLE_PROPERTY_FONT_BOLD

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_ITALIC

          public static final java.lang.String STYLE_PROPERTY_FONT_ITALIC

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_UNDERLINE

          public static final java.lang.String STYLE_PROPERTY_FONT_UNDERLINE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FONT_STRIKETHROUGH

          public static final java.lang.String STYLE_PROPERTY_FONT_STRIKETHROUGH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PDF_FONT_NAME

          public static final java.lang.String STYLE_PROPERTY_PDF_FONT_NAME

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PDF_ENCODING

          public static final java.lang.String STYLE_PROPERTY_PDF_ENCODING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PDF_EMBEDDED

          public static final java.lang.String STYLE_PROPERTY_PDF_EMBEDDED

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PADDING

          public static final java.lang.String STYLE_PROPERTY_BOX_PADDING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_TOP_PADDING

          public static final java.lang.String STYLE_PROPERTY_BOX_TOP_PADDING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_LEFT_PADDING

          public static final java.lang.String STYLE_PROPERTY_BOX_LEFT_PADDING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_RIGHT_PADDING

          public static final java.lang.String STYLE_PROPERTY_BOX_RIGHT_PADDING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_BOTTOM_PADDING

          public static final java.lang.String STYLE_PROPERTY_BOX_BOTTOM_PADDING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_BOX_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_BOX_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_BOX_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_LEFT_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_BOX_LEFT_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_LEFT_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_BOX_LEFT_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_LEFT_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_BOX_LEFT_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_TOP_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_BOX_TOP_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_TOP_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_BOX_TOP_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_TOP_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_BOX_TOP_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_BOX_RIGHT_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_WIDTH

          public static final java.lang.String STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_STYLE

          public static final java.lang.String STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_STYLE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_COLOR

          public static final java.lang.String STYLE_PROPERTY_BOX_BOTTOM_PEN_LINE_COLOR

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_LINE_SPACING

          public static final java.lang.String STYLE_PROPERTY_LINE_SPACING

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_LINE_SPACING_SIZE

          public static final java.lang.String STYLE_PROPERTY_LINE_SPACING_SIZE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_FIRST_LINE_INDENT

          public static final java.lang.String STYLE_PROPERTY_FIRST_LINE_INDENT

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_LEFT_INDENT

          public static final java.lang.String STYLE_PROPERTY_LEFT_INDENT

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_RIGHT_INDENT

          public static final java.lang.String STYLE_PROPERTY_RIGHT_INDENT

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_SPACING_BEFORE

          public static final java.lang.String STYLE_PROPERTY_SPACING_BEFORE

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_SPACING_AFTER

          public static final java.lang.String STYLE_PROPERTY_SPACING_AFTER

      See Also:
        Constant Field Values

    - #### STYLE_PROPERTY_TABSTOP_WIDTH

          public static final java.lang.String STYLE_PROPERTY_TABSTOP_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyStyleProvider

          public PropertyStyleProvider(StyleProviderContext context,
                               java.util.Map<java.lang.String,JRPropertyExpression> stylePropertyExpressions)

  - ### Method Detail

    - #### getStyle

          public JRStyle getStyle(byte evaluation)

      Description copied from interface: `StyleProvider`
      Returns a style.
      Specified by:
        `getStyle` in interface `StyleProvider`

    - #### getFields

          public java.lang.String[] getFields()

      Specified by:
        `getFields` in interface `StyleProvider`

    - #### getVariables

          public java.lang.String[] getVariables()

      Specified by:
        `getVariables` in interface `StyleProvider`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com